<?php
require_once('../vendor/autoload.php');
require_once('../config.php');

use Firebase\JWT\JWT;

session_start();
$card_id = $_GET['card_id'];

if ($card_id) {



    // Call the API to delete the card
    $apiResult = deleteCardFromAPI($card_id);

    if ($apiResult['success']) {
        // If API deletion is successful, delete the card from the database
        $query = "DELETE FROM card_details WHERE card_id = '$card_id'";
        if ($conn->query($query)) {
            $_SESSION['delete-success']="Your card is deleted successfully!";
            header("Location:add_card.php");
        } else {
            $_SESSION['delete-error']="Your card is deleted successfully!";
            header("Location:add_card.php");
        }
    } else {
        // API deletion failed
        echo "API deletion failed: " . $apiResult['message'];
    }
} else {
    echo "Invalid card ID.";
}

// Close connection
$conn->close();







function deleteCardFromAPI($card_id)
{
    global $accessKey;
    global $secretKey;

    $baseUrl = "https://api.corporatetools.com";
    $path = "/payment-methods/" . $card_id;

    $content = hash('sha256', "");
    $jwtPayload = [
        "path" => $path,
        "content" => $content
    ];
    $jwtHeader = [
        "access_key" => $accessKey
    ];
    $jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);

    $url = $baseUrl . $path;
    $ch = curl_init($url);
    $headers = [
        "Authorization: Bearer $jwt",
        "Content-Type: application/json"
    ];
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "DELETE");
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $response = curl_exec($ch);

    if (curl_errno($ch)) {
        $error_msg = curl_error($ch);
        curl_close($ch);
        return ["success" => false, "message" => $error_msg];
    }

    curl_close($ch);
    return ["success" => true, "response" => $response];
}
