<?php
session_start();
include "../config.php";
// Check if the user is logged in
if (!isset($_SESSION['username'])) {
    header("Location: ../login.php");
    exit();
}

$company_id = $_SESSION['company_id'];



?>



<!DOCTYPE html>
<html lang="en">

<?php include 'head.php'; ?>

<body>


    <?php include 'left_navbar.php'; ?>
    <div class="all-content-wrapper">
        <?php include 'Navbar.php'; ?>
        <div class="header-advance-area">
            <div class="breadcome-area">
                <div class="container-fluid">
                    <div class="row" style="margin-top:50px">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="breadcome-list">
                                <div class="row">
                                    <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                                        <div class="breadcomb-wp">
                                            <div class="breadcomb-icon">
                                                <i class="icon nalika-home"></i>
                                            </div>
                                            <div class="breadcomb-ctn">
                                                <h2>All Credit Cards</h2>
                                                <p>Welcome, <span class="bread-ntd"><strong><?php echo strtoupper($_SESSION['username'])  ?></strong></span></p>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="payment-cart-pro mg-b-30">

            <div class="container-fluid">
                <?php
                if (isset($_SESSION['delete-success'])) {
                    echo "<h6 style='color: red;'>" . $_SESSION['delete-success'] . "</h6>";
                    unset($_SESSION['delete-success']);
                } ?>
                <div class="row">

                    <?php

                    if ($company_id) {
                        // Fetch cards for the company ID
                        $query = "SELECT last4, exp_month,exp_year, first_name,cvc,card_id FROM card_details WHERE owner_id = '$company_id'";
                        $result = $conn->query($query);

                        if ($result && $result->num_rows > 0) {
                            while ($card = $result->fetch_assoc()) {
                    ?>

                                <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                                    <div class="card payment-card responsive-mg-b-30">
                                        <div class="payment-inner-pro">
                                            <i class="fa fa-credit-card" aria-hidden="true"></i>
                                            <h5>**** **** **** <?php echo htmlspecialchars($card['last4']); ?></h5>
                                            <div class="row m-t-10">
                                                <div class="col-sm-6">
                                                    <strong class="m-r-5">Expiry:</strong>
                                                    <?php echo htmlspecialchars($card['exp_month']); ?>/
                                                    <?php echo htmlspecialchars($card['exp_year']); ?>

                                                </div>
                                                <div class="col-sm-6 text-right mb-2">
                                                    <strong class="m-r-5">Name:</strong> 
                                                    <?php echo htmlspecialchars($card['first_name']); ?> <br>
                                                    <strong class="m-r-5">CVV :</strong>
                                                    <?php echo htmlspecialchars($card['cvc']); ?>


                                                    
                                                </div>
                                                
                                                
                                                
                                                
                                                
                                            </div>
                                        </div>
                                        <a class="delete-btn d-flex"  data-card-id=<?php echo $card['card_id']; ?>>
                                            <i style="cursor: pointer; color:grey;" class="fa-solid fa-trash"></i>
                                        </a>


                                    </div>
                                </div>
                              
                    <?php
                            }
                        } else {
                            echo "<p>No cards found for this company.</p>";
                        }

                        // Free result set
                        $result->free();
                    } else {
                        echo "<p>Invalid company ID.</p>";
                    }

                    ?>

                </div>
            </div>
        </div>


        <div class="single-pro-review-area mt-t-30 mg-b-30">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="product-payment-inner-st">
                            <ul id="myTab4" class="tab-review-design">
                                <li class="active"><a href="#description">Add Credit Details</a></li>
                            </ul>
                            <div id="myTabContent" class="tab-content custom-product-edit">
                                <div class="product-tab-list tab-pane fade active in" id="description">
                                    <div class="row">
                                        <div class="col-lg-3"></div>
                                        <div class="col-lg-11 col-md-6 col-sm-6 col-xs-12">
                                            <div class="review-content-section">
                                                <div class="demo-container">
                                                    <div class="card-wrapper"></div>
                                                    <div> <?php
                                                            if (isset($_SESSION['error'])) {
                                                                echo "<h6 style='color: red;'>" . $_SESSION['error'] . "</h6>";
                                                                unset($_SESSION['error']);
                                                            } ?>
                                                    </div>
                                                    <div> <?php
                                                            if (isset($_SESSION['success'])) {
                                                                echo "<h6 style='color: green;'>" . $_SESSION['success'] . "</h6>";
                                                                unset($_SESSION['success']);
                                                            } ?>
                                                    </div>
                                                    <form method="POST" action="add_card_code.php" class="payment-form mg-t-30">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <input name="card_number" type="text" required class="form-control" placeholder="Card Number">


                                                                </div>
                                                                <div class="form-group">
                                                                    <input name="cvc" type="text" required class="form-control" placeholder="CVC">
                                                                </div>
                                                                <div class="form-group">
                                                                    <input name="first_name" required type="text" class="form-control" placeholder="First Name">
                                                                </div>
                                                                <div class="form-group">
                                                                    <input name="exp_month" required type="text" class="form-control" placeholder="Expiration Month">
                                                                </div>
                                                                <div class="form-group">
                                                                    <input name="bill_address" required type="text" class="form-control" placeholder="Billing Address">
                                                                </div>
                                                                <div class="form-group">
                                                                    <input name="bill_state" required type="text" class="form-control" placeholder="State">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <input name="last_name" required type="text" class="form-control" placeholder="Last Name">
                                                                </div>
                                                                <div class="form-group">
                                                                    <input name="exp_year" required type="text" class="form-control" placeholder="Expiration Year">
                                                                </div>
                                                                <div class="form-group">
                                                                    <input name="bill_city" required type="text" class="form-control" placeholder="City">
                                                                </div>
                                                                <div class="form-group">
                                                                    <input name="bill_zip" required type="text" class="form-control" placeholder="ZIP">
                                                                </div>
                                                                <div class="form-group">
                                                                    <input name="bill_country" required type="text" class="form-control" placeholder="Country">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class=" credit-card-custom">
                                                            <button type="submit" class="btn btn-success ">Submit</button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-3"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>




    </div>








    <?php include 'jquery.php'; ?>
    <?php include 'sweet_alert.php'; ?>




</body>

</html>