<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            const deleteButtons = document.querySelectorAll(".delete-btn");

            deleteButtons.forEach(button => {
                button.addEventListener("click", function(event) {
                    event.preventDefault(); // Prevent the default anchor click behavior

                    const cardId = this.getAttribute("data-card-id");

                    // Show SweetAlert confirmation
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You want to delete this card?",
                        icon: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#3085d6",
                        cancelButtonColor: "#d33",
                        confirmButtonText: "Yes, delete it!"
                    }).then((result) => {
                        if (result.isConfirmed) {
                            // Redirect to the delete_card.php script with the card ID
                            window.location.href = `delete_card.php?card_id=${cardId}`;
                        }
                    });
                });
            });
        });
    </script>