<?php
session_start();

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <?php include("auth-head.php") ?>
    <link rel="stylesheet" href="assests/css/login.css">
    <title>Sign In - Economic Masonary</title>
</head>

<body>
    <div class="container d-flex justify-content-center align-items-center min-vh-100">
        <div class="card p-4 shadow-lg" style="max-width: 400px; width: 100%;">

            <div class="text-center mb-4">
                <img src="assests/img/logo.webp" alt="Logo" class="img-fluid" style="max-width: 100px;">
                <h3 class="mt-3">Economic Masonary</h3>
            </div>
            <div class="text-center mb-4 error-msg">
           
                <?php 
                 if (isset($_SESSION['error'])) {
                echo "<h6 style='color: red;'>" . $_SESSION['error'] . "</h6>";
                    unset($_SESSION['error']); }?>
            </div>
            <h4 class="text-center mb-3">Login</h4>

            <form method="POST" action="login_code.php">
                <div class="form-group">
                    <label for="exampleInputEmail1">Email address</label>
                    <input type="email" name="email" class="form-control" required id="exampleInputEmail1" placeholder="Enter your email">
                </div>
                <div class="form-group">
                    <label for="exampleInputPassword1">Password</label>
                    <input type="password" name="password" required class="form-control" id="exampleInputPassword1" placeholder="Password">
                </div>
                <div class="d-flex justify-content-center">
                    <button type="submit" class="btn btn-success w-50">Login</button>
                </div>
            </form>

            <div class="text-center mt-3">
                <a href="register.php" class="text-muted">Create an Account?</a>
            </div>
            <div class="text-center mt-2">
                <a href="forget_password.php" class="text-muted">Forgot Password?</a>
            </div>

        </div>
    </div>

    <?php include("script.php") ?>
</body>

</html>